<?php
  /**
   * Safe Configuration
   *
   * @package Digital Downloads Pro
   * @author wojoscripts.com
   * @copyright 2011
   * @version $Id: safe_config.php, v2.00 2011-04-20 10:12:05 gewa Exp $
   */
?>
<?php
  $host = $_GET['h'];
  $username = $_GET['u'];
  $password = $_GET['p'];
  $name = $_GET['n'];
  
  header("Content-Type: application/octet-stream");
  header("Content-Disposition: attachment; filename=config.ini.php");

          $content = "<?php \n" 
		  . "\t/** \n" 
		  . "\t* Configuration\n"
		  . "\n"
		  . "\t* @package Digital Downloads Pro\n"
		  . "\t* @author wojocms.com\n"
		  . "\t* @copyright 2011\n"
		  . "\t* @version Id: config.ini.php, v2.00 2011-04-20 10:12:05 gewa Exp $\n"
		  . "\t*/\n"

		  . " \n" 
		  . "\t if (!defined(\"_VALID_PHP\")) \n"
		  . "     die(' دسترسی مستقیم به این محل مجاز نمی باشد ');\n"
		  
		  . " \n" 
		  . "\t/** \n" 
		  . "\t* تنظیمات پیکربندی پایگاه داده \n"
		  . "\t*/\n"
		  . "\t define('DB_SERVER', '".$host."'); \n" 
		  . "\t define('DB_USER', '".$username."'); \n"  
		  . "\t define('DB_PASS', '".$password."'); \n"  
		  . "\t define('DB_DATABASE', '" . $name . "');\n" 

		  . " \n" 
		  . "\t/** \n" 
		  . "\t* نمایش خطای MySql \n"
		  . "\t* true/false برای سایت زنده توصیه نمی شود \n"
		  . "\t*/\n"
		  . "\t\$DEBUG = false; \n"

		  . " \n" 
		  . "\t/** \n" 
		  . "\t* مجموعه کوکی تماس تابع ، آنها را تغییر دهید \n"
		  . "\t* در صورت لزوم و به تناسب وب سایت شما \n"
		  . "\t*/\n"
		  . "\t define('COOKIE_EXPIRE', 60 * 60 * 24 * 60); \n"  
		  . "\t define('COOKIE_PATH', '/');\n" 
		  . "?>";

echo $content;

?>